Retrieve a single item with full details (v4)

This request retrieves one item.

Example 1

GET https://api-gateway.walmart.com/v4/items/00012345678905

This request retrieves one item with the product ID of GTIN-14 00012345678905. The additional properties are not being requested, and the product ID is in the default GTIN-14 format.

Example 2

GET https://api-gateway.walmart.com/v4/items/XYZ12348?productIdType=SKU&includeFullItemDetails=YES

This request retrieves one item with the product ID of SKU XYZ12348. The additional properties are being requested, and the product ID is in the SKU format that is being used.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Product identifier.

The productId format by default is GTIN-14. Other formats, for example SKU or EAN, may be specified with the query parameter productIdType.

For more details, refer to the query parameter productIdType documentation.

Market availability: Global

Query Params
string
enum
Defaults to GTIN

Specifies the product identifier type. The path parameter productId must also be specified.

Valid values are:

ValueMeaning
EANEuropean article number.
GTINGlobal trade item number. This is the default productIdType. This uses the GTIN-14 format.
ISBNInternational standard book number.
ITEM_IDAppears at the end of the Walmart.com item page URL.
SKUStock keeping unit.
UPCUniversal product code. This is the GTIN-12 which consists of twelve numeric characters that identifies a company's individual product.
WINWalmart identification number.

Market availability: Global

Allowed:
string
enum
Defaults to NO

Specifies whether or not to return additional item information fields.

The additional information fields are:

  • walmartOrderableAttributes
  • itemConfigurations
  • attributeContentInsights
  • variantGroupInfo
  • additionalProductAttributes

If YES, all of the additional information fields are returned. You cannot specify a selection of fields.

If NO, the additional information fields are not returned.

Market availability: Global

Allowed:
Headers
string

Identifier that tracks the consumer request by channel.

Use the consumer channel type received during your onboarding.

Contact your system administrator or developer management for the WM_CONSUMER.CHANNEL.TYPE value.

Market availability: Global

string
required

Unique identifier for each API call, used to track and debug issues.

Use a randomly generated GUID for this ID.

Market availability: Global

string
required

Access token returned by the Create access token request.

This value is required for token-based authentication.

Market availability: Global

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json